umbrello: CPPCodeGenerationForm Class Reference

umbrello 2.38.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Private Slots | Static Private Member Functions | Private Attributes | Friends | List of all members
CPPCodeGenerationForm Class Reference

`#include <cppcodegenerationform.h>`

Inheritance diagram for CPPCodeGenerationForm:

## Public Slots
virtual void | browseClicked ()

## Public Member Functions
| CPPCodeGenerationForm (QWidget *parent=0, const char *name=0)
virtual | ~CPPCodeGenerationForm ()
void | setPackageIsANamespace (bool bFlag=true)
void | setVirtualDestructors (bool bFlag=true)
void | setGenerateEmptyConstructors (bool bFlag=true)
void | setGenerateAccessorMethods (bool bFlag=true)
void | setOperationsAreInline (bool bFlag=true)
void | setAccessorsAreInline (bool bFlag=true)
void | setAccessorsArePublic (bool bFlag=true)
void | setGenerateMakefileDocument (bool bFlag=true)
void | setDocToolTag (const QString &value)
void | setGetterWithoutGetPrefix (bool bFlag=true)
void | setRemovePrefixFromAccessorMethodName (bool bFlag=true)
void | setAccessorMethodsStartWithUpperCase (bool bFlag)
void | setClassMemberPrefix (const QString &value)
bool | getPackageIsANamespace ()
bool | getVirtualDestructors ()
bool | getGenerateEmptyConstructors ()
bool | getGenerateAccessorMethods ()
bool | getOperationsAreInline ()
bool | getAccessorsAreInline ()
bool | getAccessorsArePublic ()
bool | getGenerateMakefileDocument ()
QString | getDocToolTag ()
bool | getGettersWithGetPrefix ()
bool | getRemovePrefixFromAccessorMethodName ()
bool | getAccessorMethodsStartWithUpperCase ()
QString | getClassMemberPrefix ()

## Private Slots
virtual void | generalOptionsListWidgetClicked (QListWidgetItem *)

## Static Private Member Functions
static Qt::CheckState | toCheckState (bool value)

## Private Attributes
QListWidgetItem * | m_optionPackageIsANamespace
QListWidgetItem * | m_optionVirtualDestructors
QListWidgetItem * | m_optionGenerateEmptyConstructors
QListWidgetItem * | m_optionGenerateAccessorMethods
QListWidgetItem * | m_optionOperationsAreInline
QListWidgetItem * | m_optionAccessorsAreInline
QListWidgetItem * | m_optionAccessorsArePublic
QListWidgetItem * | m_optionDocToolTag
QListWidgetItem * | m_optionGetterWithGetPrefix
QListWidgetItem * | m_optionRemovePrefixFromAccessorMethodName
QListWidgetItem * | m_optionAccessorMethodsStartWithUpperCase

## Friends
class | CPPCodeGenerationPolicyPage

## Detailed Description

Author
  Brian Thomas

## Constructor & Destructor Documentation

## ◆ CPPCodeGenerationForm()

CPPCodeGenerationForm::CPPCodeGenerationForm | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |
| explicit

Constructor.

Parameters

  parent | the parent of this widget
  name | the object name

## ◆ ~CPPCodeGenerationForm()

CPPCodeGenerationForm::~CPPCodeGenerationForm | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ browseClicked

void CPPCodeGenerationForm::browseClicked | ( |  | ) |
| virtualslot

Slot for clicking on the browse buttons.

## ◆ generalOptionsListWidgetClicked

void CPPCodeGenerationForm::generalOptionsListWidgetClicked | ( | QListWidgetItem * | pSender | ) |
| privatevirtualslot

Slot for clicking in the list widget.

Parameters

  pSender | the sender of the signal, the item in the list

## ◆ getAccessorMethodsStartWithUpperCase()

bool CPPCodeGenerationForm::getAccessorMethodsStartWithUpperCase | ( |  | ) |

Get the display state of the related option

Returns
  the state of the flag

## ◆ getAccessorsAreInline()

bool CPPCodeGenerationForm::getAccessorsAreInline | ( |  | ) |

Get the display state of option "Accessors Are Inline".

Returns
  the state of the flag

## ◆ getAccessorsArePublic()

bool CPPCodeGenerationForm::getAccessorsArePublic | ( |  | ) |

Get the display state of option "Accessors Are Public".

Returns
  the state of the flag

## ◆ getClassMemberPrefix()

QString CPPCodeGenerationForm::getClassMemberPrefix | ( |  | ) |

Get the class member prefix

Returns
  value

## ◆ getDocToolTag()

QString CPPCodeGenerationForm::getDocToolTag | ( |  | ) |

Get the display state of the related option

Returns
  the state of the flag

## ◆ getGenerateAccessorMethods()

bool CPPCodeGenerationForm::getGenerateAccessorMethods | ( |  | ) |

Get the display state of option "Generate Accessor Methods".

Returns
  the state of the flag

## ◆ getGenerateEmptyConstructors()

bool CPPCodeGenerationForm::getGenerateEmptyConstructors | ( |  | ) |

Get the display state of option "Generate Empty Constructors".

Returns
  the state of the flag

## ◆ getGenerateMakefileDocument()

bool CPPCodeGenerationForm::getGenerateMakefileDocument | ( |  | ) |

## ◆ getGettersWithGetPrefix()

bool CPPCodeGenerationForm::getGettersWithGetPrefix | ( |  | ) |

Get the display state of the related option

Returns
  the state of the flag

## ◆ getOperationsAreInline()

bool CPPCodeGenerationForm::getOperationsAreInline | ( |  | ) |

Get the display state of option "Operations Are Inline".

Returns
  the state of the flag

## ◆ getPackageIsANamespace()

bool CPPCodeGenerationForm::getPackageIsANamespace | ( |  | ) |

Get the display state of option "Package Is Namespace".

Returns
  the state of the flag

## ◆ getRemovePrefixFromAccessorMethodName()

bool CPPCodeGenerationForm::getRemovePrefixFromAccessorMethodName | ( |  | ) |

Get the display state of the related option

Returns
  the state of the flag

## ◆ getVirtualDestructors()

bool CPPCodeGenerationForm::getVirtualDestructors | ( |  | ) |

Get the display state of option "Virtual Destructors".

Returns
  the state of the flag

## ◆ setAccessorMethodsStartWithUpperCase()

void CPPCodeGenerationForm::setAccessorMethodsStartWithUpperCase | ( | bool | bFlag | ) |

Set the display state of the related checkbox

Parameters

  bFlag | the flag to set

## ◆ setAccessorsAreInline()

void CPPCodeGenerationForm::setAccessorsAreInline | ( | bool | bFlag = `true` | ) |

Set the display state of option "Accessors Are Inline".

Parameters

  bFlag | the flag to set

## ◆ setAccessorsArePublic()

void CPPCodeGenerationForm::setAccessorsArePublic | ( | bool | bFlag = `true` | ) |

Set the display state of option "Accessors Are Public".

Parameters

  bFlag | the flag to set

## ◆ setClassMemberPrefix()

void CPPCodeGenerationForm::setClassMemberPrefix | ( | const QString & | value | ) |

Set the class member prefix

Parameters

  value | the value to set

## ◆ setDocToolTag()

void CPPCodeGenerationForm::setDocToolTag | ( | const QString & | value | ) |

Set the doc display state of option "Doc Tool Tag".

Parameters

  value | the value of the tag

## ◆ setGenerateAccessorMethods()

void CPPCodeGenerationForm::setGenerateAccessorMethods | ( | bool | bFlag = `true` | ) |

Set the display state of option "Generate Accessor Methods".

Parameters

  bFlag | the flag to set

## ◆ setGenerateEmptyConstructors()

void CPPCodeGenerationForm::setGenerateEmptyConstructors | ( | bool | bFlag = `true` | ) |

Set the display state of option "Generate Empty Constructors".

Parameters

  bFlag | the flag to set

## ◆ setGenerateMakefileDocument()

void CPPCodeGenerationForm::setGenerateMakefileDocument | ( | bool | bFlag = `true` | ) |

## ◆ setGetterWithoutGetPrefix()

void CPPCodeGenerationForm::setGetterWithoutGetPrefix | ( | bool | bFlag = `true` | ) |

Set the display state of the related checkbox

Parameters

  bFlag | the flag to set

## ◆ setOperationsAreInline()

void CPPCodeGenerationForm::setOperationsAreInline | ( | bool | bFlag = `true` | ) |

Set the display state of option "Operations Are Inline".

Parameters

  bFlag | the flag to set

## ◆ setPackageIsANamespace()

void CPPCodeGenerationForm::setPackageIsANamespace | ( | bool | bFlag = `true` | ) |

Set the display state of option "Package Is Namespace".

Parameters

  bFlag | the flag to set

## ◆ setRemovePrefixFromAccessorMethodName()

void CPPCodeGenerationForm::setRemovePrefixFromAccessorMethodName | ( | bool | bFlag = `true` | ) |

Set the display state of the related checkbox

Parameters

  bFlag | the flag to set

## ◆ setVirtualDestructors()

void CPPCodeGenerationForm::setVirtualDestructors | ( | bool | bFlag = `true` | ) |

Set the display state of option "Virtual Destructors".

Parameters

  bFlag | the flag to set

## ◆ toCheckState()

Qt::CheckState CPPCodeGenerationForm::toCheckState | ( | bool | value | ) |
| staticprivate

Conversion utility (static) from bool to Qt::CheckState.

Parameters

  value | the value to be converted

Returns
  the check state

## Friends And Related Function Documentation

## ◆ CPPCodeGenerationPolicyPage

friend class CPPCodeGenerationPolicyPage
| friend

## Member Data Documentation

## ◆ m_optionAccessorMethodsStartWithUpperCase

QListWidgetItem* CPPCodeGenerationForm::m_optionAccessorMethodsStartWithUpperCase
| private

## ◆ m_optionAccessorsAreInline

QListWidgetItem* CPPCodeGenerationForm::m_optionAccessorsAreInline
| private

## ◆ m_optionAccessorsArePublic

QListWidgetItem* CPPCodeGenerationForm::m_optionAccessorsArePublic
| private

## ◆ m_optionDocToolTag

QListWidgetItem* CPPCodeGenerationForm::m_optionDocToolTag
| private

## ◆ m_optionGenerateAccessorMethods

QListWidgetItem* CPPCodeGenerationForm::m_optionGenerateAccessorMethods
| private

## ◆ m_optionGenerateEmptyConstructors

QListWidgetItem* CPPCodeGenerationForm::m_optionGenerateEmptyConstructors
| private

## ◆ m_optionGetterWithGetPrefix

QListWidgetItem* CPPCodeGenerationForm::m_optionGetterWithGetPrefix
| private

## ◆ m_optionOperationsAreInline

QListWidgetItem* CPPCodeGenerationForm::m_optionOperationsAreInline
| private

## ◆ m_optionPackageIsANamespace

QListWidgetItem* CPPCodeGenerationForm::m_optionPackageIsANamespace
| private

## ◆ m_optionRemovePrefixFromAccessorMethodName

QListWidgetItem* CPPCodeGenerationForm::m_optionRemovePrefixFromAccessorMethodName
| private

## ◆ m_optionVirtualDestructors

QListWidgetItem* CPPCodeGenerationForm::m_optionVirtualDestructors
| private

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppcodegenerationform.h
- umbrello/codegenerators/cpp/cppcodegenerationform.cpp